### A free/open-source library for quantitative finance

Public Member Functions
GaussianQuadrature Class Reference

Integral of a 1-dimensional function using the Gauss quadratures method. More...

`#include <ql/math/integrals/gaussianquadratures.hpp>`

Inheritance diagram for GaussianQuadrature:
[legend]

List of all members.

## Public Member Functions

| GaussianQuadrature (Size n, const GaussianOrthogonalPolynomial &p)
template<class F >
Real | operator() (const F &f) const
Size | order () const
const Array & | weights ()
const Array & | x ()

## Detailed Description

Integral of a 1-dimensional function using the Gauss quadratures method.

References: Gauss quadratures and orthogonal polynomials

G.H. Gloub and J.H. Welsch: Calculation of Gauss quadrature rule. Math. Comput. 23 (1986), 221-230

"Numerical Recipes in C", 2nd edition, Press, Teukolsky, Vetterling, Flannery,

Tests:
  the correctness of the result is tested by checking it against known good values.